%define	name		ufraw
%define	version		0.5
%define	subversion	%nil
#define	release		0.%{subversion}.1mdk
%define	release		0.4mdk

%define debug		0

Name:		%name
Version:	%version
Release:	%release
Summary:	Graphical tool to converts raw images of digital cameras
Group:		Graphics
URL:		http://ufraw.sourceforge.net/
#Source0:	http://heanet.dl.sourceforge.net/sourceforge/ufraw/%{name}-%{version}.tar.bz2
Source0:	http://heanet.dl.sourceforge.net/sourceforge/ufraw/%{name}-cvs20050914.tar.bz2
License:	GPL
#Requires:	dcraw
#BuildRequires:	liblcms-devel libart_lgpl2-devel libgdk-pixbuf2-devel 
BuildRequires:	libgimp-devel >= 2.0 libgtk+-devel libjpeg-devel
BuildRequires:	libtiff-devel zlib-devel liblcms-devel ImageMagick
BuildRequires:	automake autoconf
Buildroot:	%_tmppath/%name-%version-%release-root

%description

UFRaw is a utility to read and manipulate raw images from digital cameras.
It can be used by itself or as a Gimp plug-in.
It reads raw images using Dave Coffin's raw conversion utility DCRaw.
And it supports basic color management using Little CMS, allowing
the user to apply color profiles.

Ufraw was originally based on the gimp plug-in by Dave Coffin
http://www.cybercom.net/~dcoffin/
and on Pawel T. Jochym's (jochym at ifj edu pl) plug-in.

Raw images are the data directly read from the CCD of the camera,
without in-camera processing, without lossy JPEG compression, and in
36 or 48 bits color depth (TIFF has 24 bits). Problem of the raw
images is that they are in proprietary, camera-specific formats as
they are exactly what the CCD has captured, and the CCDs on differnt
cameras are very different. It also contains info about the camera
settings.

%package gimp
Summary: 	Reads the raw image formats of digital cameras into GIMP
Group: 		Graphics
Requires: 	gimp
Conflicts:	dcraw-gimp2.0 rawphoto
 
%description gimp

A GIMP plug-in which reads and processes raw images from most digital
cameras. The conversion is done by the dcraw software and so all
cameras supported by dcraw are also supported by this plug-in.

In contrary to the original GIMP plug-in of dcraw this one is much
more comfortable, especially because of the life preview image but
also due to more options.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

#setup -q -n %{name}-%{version}
%setup -q -n %{name}

%build
#cd $RPM_BUILD_DIR/%{name}-%{version}

%if %{debug}
export UFRAW_DEBUG=yes
%endif

./autogen.sh
%configure
#perl -p -i -e 's:-L/usr/lib:-L/usr/lib -L/usr/X11R6/lib/:' src/Makefile
#perl -p -i -e 's:gimptool:gimptool-2.0:' Makefile */Makefile
make

# Generate menu icons
convert ufraw_icon.ico ufraw_icon.png
convert ufraw_icon.png -resize 32x32 %{name}.png
convert ufraw_icon.png -resize 16x16 %{name}.mini.png
convert ufraw_icon.png -resize 48x48 %{name}.large.png
rm -f ufraw_icon.png

%install
#cd $RPM_BUILD_DIR/%{name}-%{version}

install -d %{buildroot}%{_bindir}
install -m 755 ufraw %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/gimp/2.0/plug-ins
install -m 755 ufraw-gimp %{buildroot}%{_libdir}/gimp/2.0/plug-ins
install -d %{buildroot}%{_mandir}/man1
install -m 644 ufraw.1 %{buildroot}%{_mandir}/man1
#makeinstall
#find_lang ufraw

# Install menu stuff
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{name}" icon="%{name}.png" section="Multimedia/Graphics" title="UFRaw" longtitle="Graphical tool to convert RAW images from digital cameras" needs="x11"
EOF
install -d %buildroot%{_datadir}/icons
install -m 644 %{name}.png %buildroot%{_datadir}/icons
install -d %buildroot%{_datadir}/icons/mini
install -m 644 %{name}.mini.png %buildroot%{_datadir}/icons/mini/%{name}.png
install -d %buildroot%{_datadir}/icons/large
install -m 644 %{name}.large.png %buildroot%{_datadir}/icons/large/%{name}.png

%clean
rm -fr %buildroot

# Update menues
%post
%update_menus

%postun
%clean_menus

#files -f ufraw.lang

%files
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}%{subversion}
%doc README
%_bindir/*
%_menudir/*
%_datadir/icons/*.png
%_datadir/icons/*/*.png
%_mandir/man1/*

%files gimp
%defattr(-,root,root)
%{_libdir}/gimp/2.0/plug-ins/*

%changelog
* Wed Sep 15 2005 Till Kamppeter <till@mandriva.com> 0.5-0.4mdk
- Do the update really.
- Added man page.

* Wed Sep 14 2005 Till Kamppeter <till@mandriva.com> 0.5-0.3mdk
- Updated to the state of the CVS of 14/09/2005 (Fix for Sigma SD9 and
  SD10 DSLRs, bug 18552).

* Sun Aug 14 2005 Till Kamppeter <till@mandriva.com> 0.5-0.2mdk
- Updated to the state of the CVS of 14/08/2005 (underlying dcraw updated
  to 7.49, now new cameras like Minolta Alpha/Dynax/Maxxum 5D supported).

* Wed Aug  3 2005 Till Kamppeter <till@mandriva.com> 0.5-0.1mdk
- Updated to the state of the CVS of 03/08/2005 (dcraw 7.x intergrated).

* Mon Mar  7 2005 Till Kamppeter <till@mandrakesoft.com> 0.4-2mdk
- Added standalone version.

* Mon Mar 07 2005 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk

- Updated to version 0.4.
- New URL.
- Added "Requires: gimp".

* Mon Nov  8 2004 Till Kamppeter <till@mandrakesoft.com> 0.2-1mdk
- First release for Mandrakelinux
